stages:
  - Regression test
  - Jira-Xray registration

# Job execução dos testes
Testing on training pages:
    stage: Regression test
    image: registry.gitlab.com/robotprojects1/mydockerimages:latest
    tags:
        - docker
    artifacts:
        when: always
        paths:
            - ./log
        expire_in: 1 week
    script:
        - robot -d ./log -v BROWSER:headlesschrome Treino_automacao.robot
    allow_failure: true


# Job insersão do resultado no Jira/Xray
Registration of the TestResult Jira-Xray:
    stage: Jira-Xray registration
    image: registry.gitlab.com/robotprojects1/mydockerimages:latest
    tags:
        - docker
    dependencies:
        - Testing on training pages
    artifacts:
        when: always
        paths:
            - ./log_jira
        expire_in: 1 week
    script:
        - robot -d ./log_jira -v BROWSER:headlesschrome Cadastro_Jira.robot    